Skip to content

Add work items to cycle ​

POST/api/v1/workspaces/{workspace_slug}/projects/{project_id}/cycles/{cycle_id}/cycle-issues/

Add multiple work items to a cycle in one request. The cycle assignments are created or updated in bulk, and each change is recorded in the work item's activity.

Path parameters ​

cycle_id:requiredstring

The unique identifier of the cycle.

project_id:requiredstring

The unique identifier of the project.

workspace_slug:requiredstring

The workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.

Body parameters ​

issues:requiredarray

IDs of the work items to add to the cycle.

Scopes ​

projects.cycles:write

Add work items to cycle
bash
curl -X POST \
  "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/cycles/cycle-uuid/cycle-issues/" \
  -H "X-API-Key: $PLANE_API_KEY" \
  # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "issues": [
    "550e8400-e29b-41d4-a716-446655440000",
    "550e8400-e29b-41d4-a716-446655440000"
  ]
}'
Response200
json
[
  {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "cycle": "550e8400-e29b-41d4-a716-446655440000",
    "issue": "550e8400-e29b-41d4-a716-446655440000",
    "sub_issues_count": 3,
    "created_at": "2024-01-01T00:00:00Z",
    "updated_at": "2024-01-01T00:00:00Z"
  }
]